# Method: projects.locations.investigations.revisions.run

- [HTTP request](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.PATH_PARAMETERS)
- [Request body](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.request_body)
  - [JSON representation](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.request_body.SCHEMA_REPRESENTATION)
- [Response body](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.response_body)
- [Authorization scopes](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.aspect)
- [IAM Permissions](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#body.aspect_1)
- [InvestigationRunParameters](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#InvestigationRunParameters)
  - [JSON representation](https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#InvestigationRunParameters.SCHEMA_REPRESENTATION)

> [!WARNING]
> This item is deprecated!

Deprecated: Investigations should only be run by the agent.

Run an existing revision of an investigation.

### HTTP request

`POST https://geminicloudassist.googleapis.com/v1alpha/{name=projects/*/locations/*/investigations/*/revisions/*}:run`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. Name of the investigation revision to run. |

### Request body

The request body contains data with the following structure:

| JSON representation |
|---|
| ``` { "runParameters": { object (`https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#InvestigationRunParameters`) } } ``` |

| Fields ||
|---|---|
| `runParameters` | ``object (`https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.investigations.revisions/run#InvestigationRunParameters`)`` Optional. Parameters to pass through. |

### Response body

If successful, the response body contains an instance of `https://docs.cloud.google.com/cloud-assist/reference/rest/v1alpha/projects.locations.operations#Operation`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `name` resource:

- `geminicloudassist.investigationRevisions.run`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).

## InvestigationRunParameters

> [!WARNING]
> This item is deprecated!

Deprecated: This message is only used in the deprecated revisions.run method.

Represents user parameters for running an investigation.

| JSON representation |
|---|
| ``` { "accessTokens": { string: string, ... } } ``` |

| Fields ||
|---|---|
| `accessTokens` | `map (key: string, value: string)` Optional. If populated, map of project to IAM token granting access to that project. An object containing a list of `"key": value` pairs. Example: `{ "name": "wrench", "mass": "1.3kg", "count": "3" }`. |